<!DOCTYPE HTML>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<script type="text/javascript" src="/javascripts/checkdatum.js" async></script>
	<title>Pitahaya PPM Webseite</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
				<br>	
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="center"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a></li>
				<li><a href="profil">Mein Profil</a></li>
				<li><a href="projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a></li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="welcome">
			<div class="title">
				<h2>Projekt erfassen</h2>
				<hr>
				<span class="byline">Bitte füllen Sie alle Felder aus.</span>
            </div>
	<!-- Ausgabe Fehlermeldung wenn ein Feld nicht ausgefüllt wurde --> 		
            <div class="errormsg">
        		<span th:text="${error}"></span>
        	</div> 
	<!-- Eingabemaske zum Erfassen eines Projektes --> 		
			<form action="#" th:action="${postAction}" method="post" th:object="${projectDetail}">
				<input type="hidden" name="projectDetail.id" th:value="*{id}" /> 
				<div class="col-3 field">	
					<input id="Projektnummer" type="text" name="projectDetail.projektnummer" th:value="*{projektnummer}" required readonly />
					<label for="Projektnummer">Projektnummer</label>
				</div>
				<div class="col-3 field">
					<input id="Projektname" type="text" name="projectDetail.projektname" placeholder="" th:value="*{projektname}" required />
					<label for="Projektname">Projektname</label>
				</div>
				<div class="col-3 field">
					<select name="projectDetail.projektleiter" style="width: 320px; height: 50px; font-size: 20px;" >
						<option value="" selected>Bitte den Projektleiter auswählen </option> 
						<option th:if="*{projektleiter != null}"
						th:each="username: ${userDetail}"
						th:value="${username.id}"
						th:utext="${username.username}"
						th:selected="${projectDetail.projektleiter.username}==${username.username}" />
						<option th:if="*{projektleiter == null}"
						th:each="username: ${userDetail}"
						th:value="${username.id}"
						th:utext="${username.username}" />
					</select>
				</div>
				<div class="col-3 field">
					<input id="Projektbudget" type="text" name="projectDetail.projektbudget" placeholder="" th:value="*{projektbudget}" required />
					<label for="Projektbudget">Projektbudget</label>
				</div>
				<div class="col-3 field">	
					<input id="Projektstart" type="date" name="projectDetail.projektstart" placeholder="" th:value="*{projektstart}" required onchange="checkBegin()" />
					<label for="Projektstart">Projektstart</label> 
				</div>
				<div class="col-3 field">		
					<input id="Projektende" type="date" name="projectDetail.projektende" placeholder="" th:value="*{projektende}" required onchange="checkEnde()" />
					<label for="Projektende">Projektende</label> 
				</div>
				<div class="col-3 field">
					<select name="projectDetail.projektphase" style="width: 320px; height: 50px; font-size: 20px;">
						<option value="" selected>Bitte die Phase auswählen</option>
							<option 
							  th:each="phasenname: ${phaseDetail}"
							  th:value="${phasenname.id}"
							  th:utext="${phasenname.phasenname}"
							  th:selected="*{projektphase}==${phasenname.phasenname}" />
					</select>			
				</div>
				<div class="col-3 field">		
					<input id="Projektstatus" type="text" name="projectDetail.projektstatus" placeholder="" th:value="*{projektstatus}" required />
					<label for="Projektstatus">Projektstatus</label> 
				</div>
				<div>	
					<input type="submit" class="button" align="center" value="Projekt erfassen">	
				</div>
			</form>
			<br>
			<br>
		</div>
	</div>
</div>
</body>
</html>